Delete a ruleset
curl --request DELETE \
--url https://api.redbark.com/v2/rulesets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/rulesets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/rulesets/{id}"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "ruleset",
"deleted": true
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Rules
Delete a ruleset
Rules and sync attachments go with it.
DELETE
/
rulesets
/
{id}
Delete a ruleset
curl --request DELETE \
--url https://api.redbark.com/v2/rulesets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/rulesets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/rulesets/{id}"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "ruleset",
"deleted": true
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"rset_6Kp8Lm1nQr3sTu5vWx7yZa"
⌘I